Skip to main content
GET
/
v2
/
account
/
quote
/
fixed-rate
Fixed-rate quote
curl --request GET \
  --url https://api.example.com/v2/account/quote/fixed-rate \
  --header 'Authorization: Bearer <token>'
{
  "quoteToken": "<string>",
  "inputCurrency": "<string>",
  "inputPaymentMethod": "<string>",
  "inputAmount": "<string>",
  "outputCurrency": "<string>",
  "outputPaymentMethod": "<string>",
  "outputAmount": "<string>",
  "markupAmount": "<string>",
  "markupCurrency": "<string>",
  "blockchainSendMethod": "<string>",
  "inputThirdParty": true,
  "outputThirdParty": true,
  "appliedFees": [
    {
      "type": "<string>",
      "description": "<string>",
      "amount": "<string>",
      "currency": "<string>"
    }
  ],
  "basePrice": "<string>",
  "pairName": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

inputCurrency
string
required
inputPaymentMethod
string
required
inputAmount
string
outputCurrency
string
required
outputPaymentMethod
string
required
outputAmount
string
markupFloatingFee
string
markupInputFixedFee
string
markupOutputFixedFee
string
markupCurrency
string
inputThirdParty
boolean
required
outputThirdParty
boolean
required
outputBrCode
string
ticketRefundId
string
settlementTerms
string
blockchainSendMethod
enum<string>
Available options:
TRANSFER,
PERMIT
subAccountId
string<uuid>

Operate against a sub-account of the authenticated main account.

Response

OK

quoteToken
string
inputCurrency
string
inputPaymentMethod
string
inputAmount
string

decimal-as-string

outputCurrency
string
outputPaymentMethod
string
outputAmount
string
markupAmount
string
markupCurrency
string
blockchainSendMethod
string
inputThirdParty
boolean
outputThirdParty
boolean
appliedFees
object[]
basePrice
string
pairName
string